Summary:	An addictive action-puzzle game involving bouncing penguins
Name:		icebreaker
Version:	1.0
Release:	3mdk
License:	GPL
Group:		Games/Arcade

Source: 	%{name}-%{version}.tar.bz2
Source2: 	%{name}-xpm.tar.bz2
Patch:		icebreaker-makefile.patch.bz2

URL:		http://www.mattdm.org/icebreaker/
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libSDL_mixer1.1-devel

%description
So, uh, there's a bunch of penguins on an iceberg in Antarctica. You have
been selected to catch them so they can be shipped to Finland, where they
are essential to a secret plot for world domination.

%prep
%setup -q
%patch -p0

%build
%make OPTIMIZE="$RPM_OPT_FLAGS" prefix=%{_prefix} highscoredir=%{_localstatedir}/games

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/icebreaker
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/games
install -m 644 *.wav *.bmp $RPM_BUILD_ROOT%{_gamesdatadir}/icebreaker
install -m 755 icebreaker $RPM_BUILD_ROOT%{_gamesbindir}/icebreaker
touch $RPM_BUILD_ROOT%{_localstatedir}/games/icebreaker.scores

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
tar xvfy %{SOURCE2}
install -m 0644 icebreaker-16.xpm $RPM_BUILD_ROOT%{_miconsdir}/icebreaker.xpm
install -m 0644 icebreaker-32.xpm $RPM_BUILD_ROOT%{_iconsdir}/icebreaker.xpm
install -m 0644 icebreaker-48.xpm $RPM_BUILD_ROOT%{_liconsdir}/icebreaker.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/icebreaker" \
		  icon="icebreaker.xpm" \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="IceBreaker" \
		  longtitle="Action-puzzle game involving bouncing penguins"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr (-,root,root)
%doc README TODO LICENSE ChangeLog
%attr(2755,root,games) %{_gamesbindir}/icebreaker
                       %{_gamesdatadir}/icebreaker
%attr(664,games,games) %ghost %{_localstatedir}/games/icebreaker.scores
%{_menudir}/icebreaker
%{_miconsdir}/icebreaker.xpm
%{_iconsdir}/icebreaker.xpm
%{_liconsdir}/icebreaker.xpm

%changelog
* Tue Dec 19 2000 Franois Pons <fpons@mandrakesoft.com> 1.0-3mdk
- updated build requires with new library name.

* Wed Nov 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-2mdk
- BuildRequires: SDL_mixer-devel
- Fix %%postun

* Fri Oct 27 2000 Franois Pons <fpons@mandrakesoft.com> 1.0-1mdk
- added menu entries.
- initial release.

* Thu Oct 5 2000 Matthew Miller <mattdm@mattdm.org>
- looks good to me. one-point-oh

* Tue Oct 3 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.995 
- better make process

* Mon Oct 2 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.99 :)

* Mon Oct 2 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.98

* Fri Sep 15 2000 Matthew Miller <mattdm@mattdm.org>
- first package
